# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "cloud_terrastodon_azure_types"
version = "0.14.0"
authors = ["TeamDman"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Types for modelling Azure stuff for the Cloud Terrastodon project"
readme = false
license = "LiLiQ-R-1.1"
repository = "https://github.com/AAFC-Cloud/Cloud-Terrastodon.git"

[lib]
name = "cloud_terrastodon_azure_types"
path = "src/lib.rs"

[dependencies.arbitrary]
version = "1.4.1"
features = ["derive"]

[dependencies.chrono]
version = "0.4.38"
features = [
    "serde",
    "arbitrary",
]

[dependencies.clap]
version = "4.5.9"
features = [
    "derive",
    "string",
]

[dependencies.cloud_terrastodon_azure_resource_types]
version = "0.14.0"

[dependencies.cloud_terrastodon_command]
version = "0.14.0"

[dependencies.cloud_terrastodon_hcl_types]
version = "0.14.0"

[dependencies.cloud_terrastodon_user_input]
version = "0.14.0"

[dependencies.compact_str]
version = "0.9.0"
features = [
    "arbitrary",
    "serde",
]

[dependencies.eyre]
version = "0.6.12"

[dependencies.iso8601-duration]
version = "0.2.0"
features = [
    "serde",
    "chrono",
]

[dependencies.itertools]
version = "0.12.1"

[dependencies.nom]
version = "8.0.0"

[dependencies.nom-language]
version = "0.1.0"

[dependencies.serde]
version = "1.0.197"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.116"

[dependencies.tempfile]
version = "3.10.1"

[dependencies.tokio]
version = "1.44.2"
features = ["full"]

[dependencies.unicode_categories]
version = "0.1.1"

[dependencies.uuid]
version = "1.8.0"
features = [
    "serde",
    "v4",
    "arbitrary",
]

[dependencies.validator]
version = "0.20.0"
features = ["derive"]

[dev-dependencies.rand]
version = "0.8.5"
